Package org.apache.tomcat.util.net

# Interface WriteBuffer.Sink

Enclosing class:
  WriteBuffer

public static interface WriteBuffer.Sink
Interface implemented by clients of the WriteBuffer to enable data to be written back out from the buffer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `writeFromBuffer(ByteBuffer buffer, boolean block)`

- ## Method Details

  - ### writeFromBuffer

    boolean writeFromBuffer(ByteBuffer buffer, boolean block) throws IOException
    Throws:
      `IOException`